Package jakarta.el

# Class ELProcessor

java.lang.Object
jakarta.el.ELProcessor

public class ELProcessor extends Object

Since:
  EL 3.0

## Constructor Summary

Constructors
Constructor
Description
`ELProcessor()`

## Method Summary

Modifier and Type
Method
Description
`void`
`defineBean(String name, Object bean)`
`void`
`defineFunction(String prefix, String function, Method method)`
Map a method to a function name.
`void`
`defineFunction(String prefix, String function, String className, String methodName)`
`<T> T`
`eval(String expression)`
`ELManager`
`getELManager()`
`<T> T`
`getValue(String expression, Class<T> expectedType)`
`void`
`setValue(String expression, Object value)`
`void`
`setVariable(String variable, String expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ELProcessor

public ELProcessor()

## Method Details

### getELManager

public ELManager getELManager()

### eval

public <T> T eval(String expression)

### getValue

public <T> T getValue(String expression, Class<T> expectedType)

### setValue

public void setValue(String expression, Object value)

### setVariable

public void setVariable(String variable, String expression)

### defineFunction

public void defineFunction(String prefix, String function, String className, String methodName) throws ClassNotFoundException, NoSuchMethodException

Throws:
  `ClassNotFoundException`
  `NoSuchMethodException`

### defineFunction

public void defineFunction(String prefix, String function, Method method) throws NoSuchMethodException
Map a method to a function name.

Parameters:
  `prefix` - Function prefix
  `function` - Function name
  `method` - Method
Throws:
  `NullPointerException` - If any of the arguments are null
  `NoSuchMethodException` - If the method is not static

### defineBean

public void defineBean(String name, Object bean)